<div class="preset-component-container">
    <div class="button-container">
        <button (click)="createPreset();" class="default-nav-button" mat-button>
            Create Preset
        </button>
    </div>
    <ng-container *ngFor="let preset of $presets | async">
        <div [routerLink]="['/home/threshold', preset.id]" class="preset-card">
            {{preset.name}}
        </div>
    </ng-container>
</div>
